# JmsBrowser.h File Reference

Describes a JmsBrowser handle. More...

`#include <JmsCommon.h>`
`#include <JmsEnumeration.h>`
`#include <JmsQueue.h>`
`#include <JmsTypes.h>`

Go to the source code of this file.

## Typedefs
typedef JmsBrowser | JmsBrowser
## Functions
int JMSENTRY | JmsBrowserGetQueue (JmsBrowser *browser, JmsQueue **queue, JMS64I flags)
int JMSENTRY | JmsBrowserGetSelector (JmsBrowser *browser, JmsString *selector, JMS64I flags)
int JMSENTRY | JmsBrowserGetEnumeration (JmsBrowser *browser, JmsEnumeration **enumeration, JMS64I flags)
int JMSENTRY | JmsBrowserClose (JmsBrowser *browser, JMS64I flags)

## Detailed Description

Describes a JmsBrowser handle.

Author:
  Copyright (c) 2002, BEA Systems, Inc. This file describes the functions that can be performed on a JmsBrower handle A JmsBrowser handle corresponds to javax.jms.QueueBrowser

## Typedef Documentation

typedef struct JmsBrowser JmsBrowser

| A browser handler that represents the class javax.jms.QueueBrowser

## Function Documentation

int JMSENTRY JmsBrowserClose | ( | JmsBrowser * | browser,
|  | JMS64I | flags
| ) |

  | Closes and destroys a browser handle. Closes and destroys a browser handle. After a call to this function the browser is no longer valid and should no longer be referenced Parameters:
  browser | Must be a valid browser handle. May not be NULL
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsBrowserGetEnumeration | ( | JmsBrowser * | browser,
|  | JmsEnumeration ** | enumeration,
|  | JMS64I | flags
| ) |

  | Gets an enumeration handle that can be used to retrieve the messages on the queue Parameters:
  browser | Must be a valid browser handle. May not be NULL
  enumeration | May not be NULL. On success will contain a valid JmsEnumeration handle. The value parameter of JmsEnumerationNextElement should be a JmsMessage ** with this enumeration.
  flags | Reserved for future use. Must be zero.
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsBrowserGetQueue | ( | JmsBrowser * | browser,
|  | JmsQueue ** | queue,
|  | JMS64I | flags
| ) |

  | Gets the queue associated with a JmsBrowser Parameters:
  browser | Must be a valid browser handle. May not be NULL
  queue | May not be NULL. On success *queue will contain a valid JmsQueue handle
  flags | Reserved for future use. Must be zero.
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsBrowserGetSelector | ( | JmsBrowser * | browser,
|  | JmsString * | selector,
|  | JMS64I | flags
| ) |

  | Gets the selector associated with a JmsBrowser Parameters:
  browser | Must be a valid browser handle. May not be NULL
  selector | May not be NULL. On success will contain the selector associated with this browser
  flags | Reserved for future use. Must be zero.
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR JMS_NEED_SPACE